Index: /trunk/ICeCoffEE/ICeCoffEE/APEMain.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 468)
+++ /trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 469)
@@ -15,4 +15,5 @@
 #import <ApplicationEnhancer/ApplicationEnhancer.h>
 #import <ApplicationEnhancer/APETools.h>
+#import <mach-o/dyld.h>
 #import <objc/objc-runtime.h>
 #import "ICeCoffEE.h"
@@ -66,5 +67,5 @@
 
 // With APE 1.3, if we're in the exclude list, APEBundleMainEarlyLoad doesn't get invoked; don't need to use APETools.  But we need to do our own management to avoid loading in background-only applications.
-Boolean ICCF_shouldLoad;
+static Boolean ICCF_shouldLoad;
 
 static Boolean ICCF_IsOne(CFTypeRef value) {
@@ -90,5 +91,5 @@
 
     UInt32 icVersion = CFBundleGetVersionNumber(inBundle);
-    ICapeprintf("ICeCoffEE APE: bundle version is %ld (0x%x)\n", icVersion, icVersion);
+    ICapeprintf("bundle version is %ld (0x%x)\n", icVersion, icVersion);
     CFNumberRef icVersionRef = CFNumberCreate(NULL, kCFNumberLongType, &icVersion);
     CFPreferencesSetAppValue(kICLastLoadedVersion, icVersionRef, kICBundleIdentifier);
@@ -99,5 +100,5 @@
     CFBundleRef appBundle = CFBundleGetMainBundle();
     if (appBundle == NULL) {
-	apeprintf("ICeCoffEE APE: Can't get CFBundle for current process; not loading\n");
+	apeprintf("can't get CFBundle for current process; not loading\n");
 	return;
     }
@@ -107,5 +108,5 @@
 	ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("LSBackgroundOnly"))) ||
 	ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("NSBackgroundOnly")))) {
-	ICapeprintf("ICeCoffEE APE: not loading as this application is background-only\n");
+	ICapeprintf("not loading as this application is background-only\n");
 	return;
     }
@@ -115,4 +116,26 @@
 static Boolean ICCF_CFBundleIDMatches(CFStringRef bundleID, CFStringRef test) {
     return CFStringCompare(bundleID, test, kCFCompareCaseInsensitive) == kCFCompareEqualTo;
+}
+
+static Boolean ICCF_tryLoading = false;
+static Boolean ICCF_loadedInWebKit = false;
+static Boolean ICCF_loadedInPDFKit = false;
+
+static void ICCF_OnAddImage(const struct mach_header *mh, intptr_t vmaddr_slide) {
+    if (!ICCF_tryLoading) // when initially registered, called a lot
+	return;
+    if (!ICCF_loadedInWebKit &&
+	ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "mouseUp:") &&
+	ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "mouseDown:") &&
+	ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "menuForEvent:") &&
+	ICCF_PatchMethod("WebPDFView", "ICeCoffEEWebPDFView", "ICeCoffEEWebPDFViewSuper", "menuForEvent:")) {
+	ICapeprintf("loaded in WebHTMLView/WebPDFView for WebKit/Safari 3\n");
+	ICCF_loadedInWebKit = true;
+    }
+    if (!ICCF_loadedInPDFKit &&
+	ICCF_PatchMethod("PDFView", "ICeCoffEEPDFView", "ICeCoffEEPDFViewSuper", "menuForEvent:")) {
+	ICapeprintf("loaded in PDFView for PDFKit\n");
+	ICCF_loadedInPDFKit = true;
+    }	
 }
 
@@ -136,5 +159,5 @@
 		ICCF_PatchMethod("PBXTextView", "ICeCoffEEMenuOnly", "ICeCoffEEMenuSuper", "menuForEvent:");
 	    }
-            ICapeprintf("ICeCoffEE APE: loaded in PBXTextView / XCTextView for Xcode\n");
+            ICapeprintf("loaded in PBXTextView / XCTextView for Xcode\n");
             shouldLoadInNSTextView = NO;
         } else if (ICCF_CFBundleIDMatches(bundleID, CFSTR("com.apple.terminal"))) {
@@ -143,5 +166,5 @@
 		ICCF_PatchMethod("TTView", "ICeCoffEETTView", "ICeCoffEETTViewSuper", "mouseUp:") &&
 		ICCF_PatchMethod("TTView", "ICeCoffEETTView", "ICeCoffEETTViewSuper", "draggingEntered:");
-		ICapeprintf("ICeCoffEE APE: loaded in TTView for Terminal\n");
+		ICapeprintf("loaded in TTView for Terminal\n");
 	    } else {
 		ICCF_PatchMethod("TermSubview", "ICeCoffEEMenuOnly", "ICeCoffEEMenuSuper", "menuForEvent:") &&
@@ -152,26 +175,22 @@
 		ICCF_PatchMethod("TermSubview", "ICeCoffEETerminal", "ICeCoffEETermSubviewSuper", "draggingEntered:") &&
 		ICCF_PatchMethod("TermSubview", "ICeCoffEETerminal", "ICeCoffEETermSubviewSuper", "_optionClickEvent:::");
-		ICapeprintf("ICeCoffEE APE: loaded in TermSubview for Terminal\n");
+		ICapeprintf("loaded in TermSubview for Terminal\n");
 	    }
 	} else if (ICCF_CFBundleIDMatches(bundleID, CFSTR("org.mozilla.camino"))) {
             ICCF_PatchMethod("ChildView", "ICeCoffEEMenuOnly", "ICeCoffEEMenuSuper", "menuForEvent:");
-	    ICapeprintf("ICeCoffEE APE: loaded in ChildView for Camino\n");
+	    ICapeprintf("loaded in ChildView for Camino\n");
         }
     }
 
-    ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "mouseUp:") &&
-	ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "mouseDown:") &&
-	ICCF_PatchMethod("WebHTMLView", "ICeCoffEEWebKit", "ICeCoffEEWebKitSuper", "menuForEvent:");
-    ICapeprintf("ICeCoffEE APE: loaded in WebHTMLView for WebKit/Safari 3\n");
-    
     if (shouldLoadInNSTextView) {
         ICCF_PatchMethod("NSTextView", "ICeCoffEE", "ICeCoffEESuper", "mouseDown:") &&
 	ICCF_PatchMethod("NSTextView", "ICeCoffEE", "ICeCoffEESuper", "clickedOnLink:atIndex:") &&
         ICCF_PatchMethod("NSTextView", "ICeCoffEE", "ICeCoffEESuper", "menuForEvent:");
-        ICapeprintf("ICeCoffEE APE: loaded generic NSTextView support\n");
-    }
-    
-    ICCF_PatchMethod("PDFView", "ICeCoffEEMenuOnly", "ICeCoffEEMenuSuper", "menuForEvent:");
-    ICapeprintf("ICeCoffEE APE: loaded in PDFView for PDFKit\n");
+        ICapeprintf("loaded generic NSTextView support\n");
+    }
+    
+    _dyld_register_func_for_add_image(ICCF_OnAddImage);
+    ICCF_tryLoading = true;
+    ICCF_OnAddImage(NULL, 0L);
 
     ICCF_ReloadPrefs();
@@ -183,5 +202,5 @@
 OSStatus APEBundleMessage(CFStringRef message,CFDataRef inData,CFDataRef *outData)
 {
-    ICapeprintf("ICeCoffEE APE: message '%@' (inData = %@)\n", message, inData);
+    ICapeprintf("message '%@' (inData = %@)\n", message, inData);
     
     if (CFStringCompare(message, kICPreferencesChanged, 0) == kCFCompareEqualTo)		
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 468)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 469)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E179D5F10D800B7800B34B28</string>
+				<string>E15D2BA10DB8FE63006486EE</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEWebPolicyDelegate.h</string>
+				<string>APEMain.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,20 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E179D5F20D800B7800B34B28</string>
+						<string>E15D2BA20DB8FE63006486EE</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEWebPolicyDelegate.h</string>
+						<string>APEMain.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E179D6440D800FA400B34B28</string>
+						<string>E15D2BAF0DB90519006486EE</string>
 						<key>history</key>
 						<array>
-							<string>E179D5F30D800B7800B34B28</string>
-							<string>E179D5F40D800B7800B34B28</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E179D5F50D800B7800B34B28</string>
-							<string>E179D5F60D800B7800B34B28</string>
+							<string>E15D2BA60DB903BD006486EE</string>
 						</array>
 					</dict>
@@ -236,129 +230,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1150, 1034}}</string>
+				<string>{{0, -1}, {856, 895}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>1066 -314 1150 1054 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E179D52F0D7FF6DD00B34B28</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEE.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E179D5300D7FF6DD00B34B28</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEE.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E179D6450D800FA400B34B28</string>
-						<key>history</key>
-						<array>
-							<string>E179D5BA0D80043500B34B28</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {813, 726}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>1027 179 813 746 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E179D5A10D80035700B34B28</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>DOMCore.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E179D5A20D80035700B34B28</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>DOMCore.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E179D6460D800FA400B34B28</string>
-						<key>history</key>
-						<array>
-							<string>E179D5A30D80035700B34B28</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {1150, 1034}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>998 -426 1150 1054 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E179D4720D7FE7CE00B34B28</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEConfig.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E179D4730D7FE7CE00B34B28</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEConfig.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E179D6470D800FA400B34B28</string>
-						<key>history</key>
-						<array>
-							<string>E179D46F0D7FE7A200B34B28</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {750, 482}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>1066 205 750 502 0 0 1920 1178 </string>
+				<string>697 161 856 915 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -428,11 +302,17 @@
 										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
+										<string>E14D2D920D7FD7D500994500</string>
+										<string>E14D2D8C0D7FD78500994500</string>
+										<string>E18931010D9DA13E005C7AA4</string>
+										<string>E14D2D8D0D7FD7AD00994500</string>
+										<string>E14343AE03DB48F700050002</string>
 										<string>E1BF154403DB950B00050002</string>
-										<string>29B97323FDCFA39411CA2CEA</string>
+										<string>29B97317FDCFA39411CA2CEA</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>22</integer>
+											<integer>47</integer>
+											<integer>39</integer>
 											<integer>6</integer>
 											<integer>0</integer>
@@ -440,5 +320,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {306, 670}}</string>
+									<string>{{0, 255}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -459,5 +339,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1594 417 323 756 0 0 1920 1178 </string>
+								<string>1594 415 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -494,5 +374,4 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E179D5ED0D800B7800B34B28</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -500,5 +379,5 @@
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>7</integer>
 										</array>
 									</array>
@@ -530,5 +409,4 @@
 								<array>
 									<string>1C08E77C0454961000C914BD</string>
-									<string>1C37FABC05509CD000000102</string>
 									<string>1C37FABC05539CD112110102</string>
 									<string>E2644B35053B69B200211256</string>
@@ -561,5 +439,5 @@
 									<array>
 										<array>
-											<integer>3</integer>
+											<integer>0</integer>
 										</array>
 									</array>
@@ -600,6 +478,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E179D4130D7FDAF800B34B28</string>
-				<string>E179D4140D7FDAF800B34B28</string>
+				<string>E15D2B820DB8FA17006486EE</string>
+				<string>E15D2B830DB8FA17006486EE</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -632,23 +510,12 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E179D6150D800C5D00B34B28</string>
-		<string>E179D5FC0D800B7800B34B28</string>
-		<string>E179D5FD0D800B7800B34B28</string>
-		<string>E179D5FE0D800B7800B34B28</string>
-		<string>E179D5FF0D800B7800B34B28</string>
-		<string>E179D57E0D80020E00B34B28</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
 		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E179D4220D7FDD0700B34B28</string>
-		<string>E179D4720D7FE7CE00B34B28</string>
-		<string>E179D5A10D80035700B34B28</string>
-		<string>E179D52F0D7FF6DD00B34B28</string>
-		<string>E179D5F10D800B7800B34B28</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E15D2BA10DB8FE63006486EE</string>
 	</array>
 	<key>WindowString</key>
-	<string>1594 417 323 756 0 0 1920 1178 </string>
+	<string>1594 415 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -707,9 +574,9 @@
 									<array>
 										<array>
-											<integer>15</integer>
+											<integer>19</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 7}, {245, 350}}</string>
+									<string>{{0, 0}, {245, 543}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -721,5 +588,5 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {262, 368}}</string>
+								<string>{{0, 0}, {262, 561}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
@@ -728,5 +595,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>531 731 744 409 0 0 1920 1178 </string>
+								<string>531 538 999 602 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -736,4 +603,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -746,16 +615,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{267, 0}, {477, 368}}</string>
+								<string>{{267, 0}, {732, 561}}</string>
 								<key>RubberWindowFrame</key>
-								<string>531 731 744 409 0 0 1920 1178 </string>
+								<string>531 538 999 602 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>XCDetailModule</string>
 							<key>Proportion</key>
-							<string>477pt</string>
+							<string>732pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>368pt</string>
+					<string>561pt</string>
 				</dict>
 			</array>
@@ -772,5 +641,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>E16F0C7D0D7ACAEB00EC7A9E</string>
+				<string>E1DE29B40D85468100A43489</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -779,5 +648,5 @@
 			<string>xcode.toolbar.config.defaultV3</string>
 			<key>WindowString</key>
-			<string>531 731 744 409 0 0 1920 1178 </string>
+			<string>531 538 999 602 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C335F2C07B51CD20023D4EE</string>
@@ -818,5 +687,5 @@
 								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>799 133 1092 808 0 0 1920 1178 </string>
+								<string>788 330 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -831,5 +700,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 432}, {1092, 330}}</string>
+								<string>{{0, 728}, {1092, 34}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -846,5 +715,5 @@
 								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>799 133 1092 808 0 0 1920 1178 </string>
+								<string>788 330 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -869,5 +738,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E179D4BE0D7FEC1100B34B28</string>
+				<string>E15D2B9A0DB8FB32006486EE</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -876,5 +745,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>799 133 1092 808 0 0 1920 1178 </string>
+			<string>788 330 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -989,11 +858,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E179D4C80D7FECC000B34B28</string>
+				<string>E15D2B880DB8FA17006486EE</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E179D4C90D7FECC000B34B28</string>
-				<string>E179D4CA0D7FECC000B34B28</string>
-				<string>E179D4CB0D7FECC000B34B28</string>
-				<string>E179D4CC0D7FECC000B34B28</string>
-				<string>E179D4CD0D7FECC000B34B28</string>
+				<string>E15D2B890DB8FA17006486EE</string>
+				<string>E15D2B8A0DB8FA17006486EE</string>
+				<string>E15D2B8B0DB8FA17006486EE</string>
+				<string>E15D2B8C0DB8FA17006486EE</string>
+				<string>E15D2B8D0DB8FA17006486EE</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1022,6 +891,4 @@
 							<array>
 								<dict>
-									<key>BecomeActive</key>
-									<true/>
 									<key>ContentConfiguration</key>
 									<dict>
@@ -1029,5 +896,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEEConfig.h</string>
+										<string>ICeCoffEETTView.m</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -1050,4 +917,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1085,6 +954,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E179D4360D7FE28E00B34B28</string>
-				<string>E179D4370D7FE28E00B34B28</string>
+				<string>E1B657B80DB7F1A000EE3D39</string>
+				<string>E1B657B90DB7F1A000EE3D39</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -1095,5 +964,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1126,16 +995,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {1054, 596}}</string>
+								<string>{{0, 0}, {752, 555}}</string>
 								<key>RubberWindowFrame</key>
-								<string>25 36 1054 637 0 0 1920 1178 </string>
+								<string>1129 56 752 596 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXDebugCLIModule</string>
 							<key>Proportion</key>
-							<string>596pt</string>
+							<string>555pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>596pt</string>
+					<string>555pt</string>
 				</dict>
 			</array>
@@ -1151,5 +1020,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E179D4CE0D7FECC000B34B28</string>
+				<string>E15D2B940DB8FA6C006486EE</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1157,9 +1026,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>25 36 1054 637 0 0 1920 1178 </string>
+			<string>1129 56 752 596 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1292,5 +1161,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E14D2D5B0D7FB64600994500</string>
+				<string>E169C43D0D9C3E5F007347AE</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1420,6 +1289,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1781A230D7BF2DF00105EE5</string>
-				<string>E1781A240D7BF2DF00105EE5</string>
+				<string>E1C0F8250DAEB286009E2DE7</string>
+				<string>E1C0F8260DAEB286009E2DE7</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1430,5 +1299,5 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E1781A230D7BF2DF00105EE5</string>
+			<string>E1C0F8250DAEB286009E2DE7</string>
 			<key>WindowToolIsVisible</key>
 			<false/>
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 468)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 469)
@@ -14,5 +14,5 @@
 		activeBuildConfigurationName = Development;
 		activeExecutable = E1ABE98B040D48E700050002 /* Safari */;
-		activeTarget = E1ABAE8D0812F4B2007C5427 /* APE Module */;
+		activeTarget = E120DB7308141CCB00BF8DDC /* ICeCoffEE Installer */;
 		addToTargets = (
 			E1ABAE8D0812F4B2007C5427 /* APE Module */,
@@ -34,4 +34,5 @@
 			E13CACDB0D78C4720051111D /* GetNumericBundleVersion */,
 			E14E2B1E0C2CBF1500AC18D0 /* TestParser */,
+			E12F242A0D9A0FC7008A3616 /* WebKit */,
 		);
 		perUserDictionary = {
@@ -145,5 +146,5 @@
 				PBXFileTableDataSourceColumnWidthsKey = (
 					291,
-					161,
+					416,
 				);
 				PBXFileTableDataSourceColumnsKey = (
@@ -174,5 +175,5 @@
 					20,
 					20,
-					232,
+					476,
 					20,
 					41,
@@ -214,5 +215,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 226482933;
+			PBXPerProjectTemplateStateSaveDate = 230226451;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
